Bug 1551565 (CVE-2017-18208) - CVE-2017-18208 kernel: Inifinite loop vulnerability in mm/madvise.c:madvise_willneed() function allows local denial of service
Summary: CVE-2017-18208 kernel: Inifinite loop vulnerability in mm/madvise.c:madvise_w...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-18208
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1551566 1552458 1552459 1552460 1552461 1552462 1552463 1552464 1552981 1552982 1552983 1552984 1740225 1740226
Blocks: 1551570
TreeView+ depends on / blocked
 
Reported: 2018-03-05 12:29 UTC by Adam Mariš
Modified: 2021-02-17 00:43 UTC (History)
43 users (show)

Fixed In Version: kernel 4.15
Doc Type: If docs needed, set a value
Doc Text:
The madvise_willneed function in the Linux kernel allows local users to cause a denial of service (infinite loop) by triggering use of MADVISE_WILLNEED for a DAX mapping.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:42:19 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2948 0 None None None 2018-10-30 08:58:36 UTC
Red Hat Product Errata RHSA-2018:3083 0 None None None 2018-10-30 07:31:49 UTC
Red Hat Product Errata RHSA-2018:3096 0 None None None 2018-10-30 07:37:56 UTC
Red Hat Product Errata RHSA-2019:3967 0 None None None 2019-11-26 11:52:23 UTC
Red Hat Product Errata RHSA-2019:4057 0 None None None 2019-12-03 08:07:01 UTC
Red Hat Product Errata RHSA-2019:4058 0 None None None 2019-12-03 08:25:51 UTC

Description Adam Mariš 2018-03-05 12:29:32 UTC
The madvise_willneed function in mm/madvise.c in the Linux kernel before 4.14.4 allows local users to cause a denial of service (infinite loop) by triggering use of MADVISE_WILLNEED for a DAX mapping.

Upstream patch:

https://github.com/torvalds/linux/commit/6ea8d958a2c95a1d514015d4e29ba21a8c0a1a91

Comment 7 errata-xmlrpc 2018-10-30 07:31:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3083 https://access.redhat.com/errata/RHSA-2018:3083

Comment 8 errata-xmlrpc 2018-10-30 07:37:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3096 https://access.redhat.com/errata/RHSA-2018:3096

Comment 9 errata-xmlrpc 2018-10-30 08:58:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2948 https://access.redhat.com/errata/RHSA-2018:2948

Comment 11 errata-xmlrpc 2019-11-26 11:52:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.5 Extended Update Support

Via RHSA-2019:3967 https://access.redhat.com/errata/RHSA-2019:3967

Comment 12 errata-xmlrpc 2019-12-03 08:06:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise MRG 2

Via RHSA-2019:4057 https://access.redhat.com/errata/RHSA-2019:4057

Comment 13 errata-xmlrpc 2019-12-03 08:25:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.4 Advanced Update Support
  Red Hat Enterprise Linux 7.4 Update Services for SAP Solutions
  Red Hat Enterprise Linux 7.4 Telco Extended Update Support

Via RHSA-2019:4058 https://access.redhat.com/errata/RHSA-2019:4058


Note You need to log in before you can comment on or make changes to this bug.